"use strict";

const commandError = require('./error');
const coreapi = require('../coreapi');

const coreEndpoint = '/deposit-tickets/create';

function help(keyword) {
    return `Untuk membuat tiket depoist, ketik perintah dengan format: ${ keyword.toUpperCase() }.<JUMLAH>.<PIN>`;
}

function execute(tokens, params, cb) {
    
    if (!tokens || tokens.length < 3) {
        const responseParams = {
            body: `${ commandError.ERR_INVALID_FORMAT }. ${ help(tokens[0]) }`
        }

        cb(null, null, responseParams);
        return;
    }

    const coreParams = {
        origin: params.origin,
        report_ip: params.report_ip,
        report_port: params.report_port,
        
        asker_terminal_name: params.from,
        amount: tokens[1],
        asker_terminal_password: tokens[2],
    };

    coreapi(coreEndpoint, coreParams, 'GET', cb);
}

module.exports = execute;