"use strict";

const commandError = require('./error');
const coreapi = require('../coreapi');

const coreEndpoint = '/terminals';

function help(keyword) {
    return `Untuk list terminal anda, ketik perintah dengan format: ${ keyword.toUpperCase() }.<PIN> atau ${ keyword.toUpperCase() }.<IDDOWNLINE>.<PIN>`;
}

function execute(tokens, params, cb) {
    
    if (!tokens || tokens.length < 2) {
        const responseParams = {
            body: `${ commandError.ERR_INVALID_FORMAT }. ${ help(tokens[0]) }`
        }

        cb(null, null, responseParams);
        return;
    }

    const idxPin = (tokens.length <= 2) ? 1 : 2;

    const coreParams = {
        asker_terminal_name: params.from,
        asker_terminal_password: tokens[ idxPin ],
        store_id: tokens.length > 2 ? tokens[1] : null,

    };

    coreapi(coreEndpoint, coreParams, 'GET', cb);
}

module.exports = execute;